The code is set up to avoid errors in the data input for a large number of simulations, by using MATLAB as a sort of file manager and input parser. First, the case is set up on the beam geometry within the Python script "model_setup.py", applying USER_DEFINED displacement conditions, and generating the input file as ASCII, which is then used to obtain the mesh structure data. The boundary conditions are set by prescribing individual displacement on the mesh nodes through a FORTRAN file, compiled by the MATLAB script. The ABAQUS executable is then called. The state of the simulation is checked using the isprocess function (https://uk.mathworks.com/matlabcentral/fileexchange/42805-isprocess). After the solver finishes, the relevant information is extracted from the output file (.odb) through an additional Python script (extract_odb.py), moved and renamed. This is then repeated for the next set of boundary conditions.
